    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * --------------------
    028     * PieURLGenerator.java
    029     * --------------------
    030     * (C) Copyright 2002-2005, by Richard Atkinson and Contributors.
    031     *
    032     * Original Author:  Richard Atkinson;
    033     * Contributors:     David Gilbert (for Object Refinery Limited);
    034     *
    035     * $Id: PieURLGenerator.java,v 1.3.2.1 2005/10/25 20:59:31 mungady Exp $
    036     *
    037     * Changes:
    038     * --------
    039     * 05-Aug-2002 : Version 1, contributed by Richard Atkinson;
    040     * 09-Oct-2002 : Fixed errors reported by Checkstyle (DG);
    041     * 07-Mar-2003 : Modified to use KeyedValuesDataset and added pieIndex
    042     *               parameter (DG);
    043     * 24-Apr-2003 : Switched around PieDataset and KeyedValuesDataset (DG);
    044     *
    045     */
    046    package org.jfree.chart.urls;
    047
    048    import org.jfree.data.general.PieDataset;
    049
    050    /**
    051     * Interface for a URL generator for plots that use data from a
    052     * {@link PieDataset}.
    053     *
    054     * @author Richard Atkinson
    055     */
    056    public interface PieURLGenerator {
    057
    058        /**
    059         * Generates a URL for one item in a {@link PieDataset}. As a guideline,
    060         * the URL should be valid within the context of an XHTML 1.0 document.
    061         *
    062         * @param dataset  the dataset (<code>null</code> not permitted).
    063         * @param key  the item key.
    064         * @param pieIndex  the pie index (differentiates between pies in a
    065         *                  'multi' pie chart).
    066         *
    067         * @return A string containing the URL.
    068         */
    069        public String generateURL(PieDataset dataset, Comparable key, int pieIndex);
    070
    071    }